Holger's Java API

## com.antelmann.sql
Enum BaseDocumentMapper.Column

    java.lang.Object
      java.lang.Enum<BaseDocumentMapper.Column>
          com.antelmann.sql.BaseDocumentMapper.Column

All Implemented Interfaces:
  Serializable, Comparable<BaseDocumentMapper.Column>

Enclosing class:
  BaseDocumentMapper<T extends BaseDocument>

    public static enum BaseDocumentMapper.Column

extends Enum<BaseDocumentMapper.Column>

Enum Constant Summary
`BEGIN`
`DESCRIPTION`
`END`
`LOCATION`
`NOTES`
`TITLE`

Method Summary
`static BaseDocumentMapper.Column` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BaseDocumentMapper.Column[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TITLE

    public static final BaseDocumentMapper.Column TITLE

### DESCRIPTION

    public static final BaseDocumentMapper.Column DESCRIPTION

### NOTES

    public static final BaseDocumentMapper.Column NOTES

### LOCATION

    public static final BaseDocumentMapper.Column LOCATION

### BEGIN

    public static final BaseDocumentMapper.Column BEGIN

### END

    public static final BaseDocumentMapper.Column END

Method Detail

### values

    public static BaseDocumentMapper.Column[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BaseDocumentMapper.Column c : BaseDocumentMapper.Column.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BaseDocumentMapper.Column valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads